%define upstream_name    DateTime-Incomplete
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    An incomplete datetime, like January 5
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Event::Recurrence)
BuildRequires: perl(DateTime::Set) >= 0.140.100
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
DateTime::Incomplete is a class for representing partial dates and times.

These are actually encountered relatively frequently. For example, a
birthday is commonly given as a month and day, without a year.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.80.0-6.mga10
+ Revision: 2198090
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.80.0-5.mga9
+ Revision: 1802917
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-4.mga8
+ Revision: 1493881
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.80.0-3.mga7
+ Revision: 1267039
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.80.0-2.mga6
+ Revision: 1025290
- Rebuild for perl 5.22.2

* Thu Dec 17 2015 shlomif <shlomif> 0.80.0-1.mga6
+ Revision: 911334
- update to 0.08

* Thu Oct 23 2014 shlomif <shlomif> 0.70.0-1.mga5
+ Revision: 792605
- imported package perl-DateTime-Incomplete


* Thu Oct 23 2014 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
